Package com.independentsoft.office.odf.drawing

# Class FrameContentElement

java.lang.Object
com.independentsoft.office.odf.drawing.FrameContentElement

All Implemented Interfaces:
  `IContentElement`

Direct Known Subclasses:
  `Image`, `Object`, `OleObject`, `TextBox`

public abstract class FrameContentElement extends Object implements IContentElement
The Class FrameContentElement.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected IContentElement`
  `parent`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FrameContentElement()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract FrameContentElement`
  `clone()`
  `abstract List<IContentElement>`
  `getContentElements()`
  `IContentElement`
  `getParent()`
  Returns the parent content element.
  `void`
  `setParent​(IContentElement parent)`
  Sets the parent content element.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### parent

    protected IContentElement parent

- ## Constructor Details

  - ### FrameContentElement

    public FrameContentElement()

- ## Method Details

  - ### clone

    public abstract FrameContentElement clone()
    Specified by:
      `clone` in interface `IContentElement`
    Overrides:
      `clone` in class `Object`

  - ### getContentElements

    public abstract List<IContentElement> getContentElements()
    Specified by:
      `getContentElements` in interface `IContentElement`

  - ### getParent

    public IContentElement getParent()
    Returns the parent content element.
    Specified by:
      `getParent` in interface `IContentElement`
    Returns:
      the parent

  - ### setParent

    public void setParent​(IContentElement parent)
    Sets the parent content element.
    Specified by:
      `setParent` in interface `IContentElement`
    Parameters:
      `parent` - the new parent